Subject: Re: [Insipid] Review of draft-ietf-insipid-logme-reqs-02

From: "Dawes, Peter, Vodafone Group" <[email-masked]>
Date: Mon, 11 Jan 2016 15:41:59 +0000

Hello Vijay, All,
The Introduction text has now been revised to focus on service providers not customers (https://www.ietf.org/id/draft-ietf-insipid-logme-reqs-06.txt). I added the word "or" to the text Arun quotes below to clearly separate the single and multiple service provider cases, i.e. 

"Such debugging and tests might be confined to a single service provider or network,
or may occur between the administrative domains of service providers, including 
providers in different countries that are interconnected through networks belonging
to one or more third parties."

Apologies for jumping from -04 to -06 but I made a mistake in the -05 revision. The authors believe that this latest version (-06) includes resolutions of all review comments. 

Regards,
Peter

Re: [Insipid] Review of draft-ietf-insipid-logme-reqs-02
"Arun Arunachalam (carunach)" <[email-masked]> Fri, 08 January 2016 22:59 UTC

Thanks Vijay!

We will update the text to the following:

"Such debugging and tests might be confined to a single service provider or network,
may occur between the administrative domains of service providers, including 
providers in different countries that are interconnected through networks belonging
to one or more third parties."

Arun

On Jan 8, 2016, at 3:59 PM, Vijay K. Gurbani <[email-masked]> wrote:

> On 01/06/2016 10:14 AM, Dawes, Peter, Vodafone Group wrote:
>> Hello Vijay, Our requirements draft
>> (https://datatracker.ietf.org/doc/draft-ietf-insipid-logme-reqs/ )
>> for marking SIP sessions to be logged has received several reviews
>> and comments and has been corrected and improved as a result. We
>> think that yours is now the only review without confirmation that the
>> issues raised are resolved. We appreciate that many IETF contributors
>> are very busy and it was great that you found time to review the
>> draft and post to the insipid list. 3GPP has a dependency on this
>> logme marking functionality that is due to complete in February and
>> it would help a lot if this requirements draft could be completed by
>> then.
>> 
>> Could we kindly ask you to check the following e-mails from the
>> insipid exploder to see if your comments are covered: Your review:
>> https://mailarchive.ietf.org/arch/msg/insipid/lD_87m-plpvQ-gcv_QJdydhmnuA
>> Our resolution of your comments:
>> https://mailarchive.ietf.org/arch/msg/insipid/6tlXJVDw3eFaUyuEM6OXf53_xYE
> 
> Peter, all: Thank you for pinging me on this one.
> 
> I am happy with the resolutions you proposed in
> https://mailarchive.ietf.org/arch/msg/insipid/6tlXJVDw3eFaUyuEM6OXf53_xYE
> 
> In addition, I went quickly through version -04 and have one minor
> comment:
> 
> 1/ S1: Such debugging and tests might be confined to a single
>   service provider but might also be needed for customers who have
>   different service providers, including providers in different
>   countries that are interconnected through networks belonging to one
>   or more third parties.
> 
> I don't like the use of "customers" in the above paragraph; after all,
> the customer will most likely not even know what SIP is.  The issue is
> that the debugging is initiated by the service provider to find a
> fault.
> 
> Probably best to say that "Such debugging and tests might be confined
> to a single service provider or network may occur between the
> administrative domains of service providers, including providers in
> different countries that are interconnected through networks belonging
> to one or more third parties."
> 
> Cheers,
> 
> - vijay
> -- 
> Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
> 1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60563 (USA)
> Email: vkg@{bell-labs.com,acm.org} / [email-masked]
> Web: http://ect.bell-labs.com/who/vkg/  | Calendar: http://goo.gl/x3Ogq

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 11 Jan 2016 09:58:47 -0600

On 01/11/2016 09:41 AM, Dawes, Peter, Vodafone Group wrote:
> Hello Vijay, All, The Introduction text has now been revised to focus
> on service providers not customers
> (https://www.ietf.org/id/draft-ietf-insipid-logme-reqs-06.txt). I
> added the word "or" to the text Arun quotes below to clearly separate
> the single and multiple service provider cases, i.e. [...]

Awesome.  Thanks for attending my comments; I don't have any further
ones.

Cheers,

- vijay